commit:     af0989b79df91dc3d3a882a862a71ec5b9e94960
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  5 11:24:10 2017 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Jul  5 11:24:10 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af0989b7

sys-process/tini: Version bump to 0.15.0

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 sys-process/tini/Manifest           |  1 +
 sys-process/tini/tini-0.15.0.ebuild | 42 +++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/sys-process/tini/Manifest b/sys-process/tini/Manifest
index 8d8c7fb5c95..d9481092105 100644
--- a/sys-process/tini/Manifest
+++ b/sys-process/tini/Manifest
@@ -1,2 +1,3 @@
 DIST tini-0.13.2.tar.gz 27828 SHA256 
85e18a4e4089612821321d1d67c16337797c3c78e81117dea56ad75ece20d05f SHA512 
117822bf2e45b7cf732bfcd2aa5ea268a189c395f189c03d0e5dcd982872cff29d50adbb1a4d1b85859db4736e932900cfb64a1c487ba271a305146e9677a1d4
 WHIRLPOOL 
f271b592e5524a2297b5a6b8fb88371a9068f01122e7ea95c4d797d2f5da91847b65675a7b5043398b8c9553746a00e4b5fe5ecfd8a1171d3bba87ee78de9a55
 DIST tini-0.14.0.tar.gz 28618 SHA256 
d624bb6fba3bc02701977813b7bdac9dfc9bdeedf88aff67066cf8948d2ec6ab SHA512 
dc86c4d36e8bd232e0c8880d3ea6a7d55d01ab8ba7d903ac9e9edfb2d2fe39e900e20c63cedc3f22abd9b24d9fd1d309bd6823ce863fffe0909507f880356985
 WHIRLPOOL 
859c4838e42360a6a9501276f8700abf8f24c5c2bf29ab46b3a93761faca1fc455dbea8b1c727b296d2772d10affe8e2d774e0ccb7bc0b08672b4a9b75b9d4a3
+DIST tini-0.15.0.tar.gz 29473 SHA256 
3c0e0373c67006ac7e59ef6213e13729b53de5f414435c80133fa484174fda70 SHA512 
774addddeb2bcefd1db2e4bff7c55bba6c3f4adc41e0b2a647059eef8cc5cc9d4a47b68cb4b89aa4e9e52b85916fe2680dad2a414c82b3c276beea89e3689481
 WHIRLPOOL 
94e39f36463344ae6587a407437c325138130bb83f38fa6e83a9d9d2b15dca4ff754fd862ec0e65eef1f6d3d11c3e75c37229da9bcca645221d6fc3c194c4fb1

diff --git a/sys-process/tini/tini-0.15.0.ebuild 
b/sys-process/tini/tini-0.15.0.ebuild
new file mode 100644
index 00000000000..bae9cb2b33c
--- /dev/null
+++ b/sys-process/tini/tini-0.15.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils flag-o-matic
+
+DESCRIPTION="A tiny but valid init for containers"
+HOMEPAGE="https://github.com/krallin/tini";
+SRC_URI="https://github.com/krallin/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="+args +static"
+
+src_prepare() {
+       default
+       # Do not strip binary
+       sed -i -e 's/-Wl,-s")$/")/' CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs=()
+       use args || mycmakeargs+=(-DMINIMAL=ON)
+
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       append-cflags -DPR_SET_CHILD_SUBREAPER=36 -DPR_GET_CHILD_SUBREAPER=37
+       cmake-utils_src_compile
+}
+
+src_install() {
+       cmake-utils_src_install
+       if use static; then
+               mv "${ED%/}"/usr/bin/{${PN}-static,${PN}} || die
+       else
+               rm "${ED%/}"/usr/bin/${PN}-static || die
+       fi
+}

Reply via email to